Ending Internet Explorer 8 and Lower Support

Follow

As of March 27, 2014, Mindflash will no longer be actively supporting Internet Explorer 8 and lower. Access to Mindflash courses will be allowed until May 31, 2014. 

Starting on May 31, 2014, Mindflash users will no longer be able to login using IE8 or lower.  Users who attempt to do so will be prompted to upgrade their browser to IE9+ or use Chrome, Firefox or Safari.

To download a new browser, use one of the links below:

Mozilla Firefox  Download the latest version

Google Chrome Download the latest version  

Microsoft Internet Explorer 9+ Download the latest version  

Apple Safari 5+  Download the latest version 

 

Once you have downloaded a new browser, open that browser and paste your training address into the new browser. You should now be able to continue your training. 

 

 

Have more questions? Submit a request

Comments

Powered by Zendesk